/*
    Copyright (c) 2010, 2011 aizo ag, Zurich, Switzerland

    Author: Sergey 'Jin' Bostandzhyan <jin@dev.digitalstrom.org>

    This file is part of dS Assistant.

    dS-Assistant is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    dS-Assistant is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.

    NOTE: all APIs, especially the JSON API, offered by this application
          are subject to change without further notice.
*/

#ifdef HAVE_CONFIG_H
    #include "autoconfig.h"
#endif

#include "config_options.h"

namespace dSA
{

Option::Option(std::string option) : m_option(option) {}

const std::string& Option::getOption() const
{
    return m_option;
}

IntOption::IntOption(int option) : m_option(option) {}

const int IntOption::getIntOption() const
{
    return m_option;
}

BoolOption::BoolOption(bool option) : m_option(option) {}

const bool BoolOption::getBoolOption() const
{
    return m_option;
}

} // namespace

